package com.jeeplus.modules.sg.settActivi.entity;

import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.core.persistence.ActEntity;

/**
 * 结算流程列表
 * */
public class SettList extends ActEntity<SettList> {
    //项目定义号
    private String projectId;
    //项目自定义描述
    private String requireName;
    //物料编码
    private String materialEncoding;
    //物料名称
    private String materialName;
    //单位
    private String company;
    //出库单价（元）
    private Double unitPrice;
    //出库数量
    private Double outgoingQuantity;
    //出库总价
    private Double totalPrice;
    //现场使用数量
    private Double usedQuantity;
    //审计现场复核数量
    private Double reviewQuantity;
    //施工单位备注
    private String settMark;
    //甲供材超欠供
    private Double overUnder;


    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getRequireName() {
        return requireName;
    }

    public void setRequireName(String requireName) {
        this.requireName = requireName;
    }

    @ExcelField(title = "物料编码", align = 2, sort = 2)
    public String getMaterialEncoding() {
        return materialEncoding;
    }

    public void setMaterialEncoding(String materialEncoding) {
        this.materialEncoding = materialEncoding;
    }

    @ExcelField(title = "物料名称", align = 2, sort = 3)
    public String getMaterialName() {
        return materialName;
    }

    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }

    @ExcelField(title = "单位", align = 2, sort = 4)
    public String getCompany() {
        return company;
    }

    public void setCompany(String company) {
        this.company = company;
    }

    @ExcelField(title = "出库单价（元）", align = 2, sort = 5)
    public Double getUnitPrice() {
        return unitPrice;
    }

    public void setUnitPrice(Double unitPrice) {
        this.unitPrice = unitPrice;
    }

    @ExcelField(title = "出库数量", align = 2, sort = 6)
    public Double getOutgoingQuantity() {
        return outgoingQuantity;
    }

    public void setOutgoingQuantity(Double outgoingQuantity) {
        this.outgoingQuantity = outgoingQuantity;
    }

    @ExcelField(title = "出库总价", align = 2, sort = 7)
    public Double getTotalPrice() {
        return totalPrice;
    }

    public void setTotalPrice(Double totalPrice) {
        this.totalPrice = totalPrice;
    }

    @ExcelField(title = "现场使用数量", align = 2, sort = 8)
    public Double getUsedQuantity() {
        return usedQuantity;
    }

    public void setUsedQuantity(Double usedQuantity) {
        this.usedQuantity = usedQuantity;
    }

    @ExcelField(title = "审计现场复核数量", align = 2, sort = 9)
    public Double getReviewQuantity() {
        return reviewQuantity;
    }

    public void setReviewQuantity(Double reviewQuantity) {
        this.reviewQuantity = reviewQuantity;
    }

    @ExcelField(title = "施工单位备注", align = 2, sort = 10)
    public String getSettMark() {
        return settMark;
    }

    public void setSettMark(String settMark) {
        this.settMark = settMark;
    }

    @ExcelField(title = "甲供材超欠供", align = 2, sort = 11)
    public Double getOverUnder() {
        return overUnder;
    }

    public void setOverUnder(Double overUnder) {
        this.overUnder = overUnder;
    }
}
